package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWFH37Data {

    private Map<String, Object> params;
    
    public MWFH37Data(Map<String, Object> params) {
        this.params = params;
    }

    public Long rsOucurcode() {
        return (Long) params.get("RS_OUCURCODE");
    }

    public String rsOucursymb() {
        return (String) params.get("RS_OUCURSYMB");
    }

    public String rsOucurdesc() {
        return (String) params.get("RS_OUCURDESC");
    }

    public String rsOucountry() {
        return (String) params.get("RS_OUCOUNTRY");
    }

    public Long rsOudecpos() {
        return (Long) params.get("RS_OUDECPOS");
    }

    public String rsOumultdiv() {
        return (String) params.get("RS_OUMULTDIV");
    }

    public Double rsOubrate() {
        return (Double) params.get("RS_OUBRATE");
    }

    public Double rsOuvrian() {
        return (Double) params.get("RS_OUVRIAN");
    }

    public Double rsOutrans() {
        return (Double) params.get("RS_OUTRANS");
    }

    public Double rsOutranb() {
        return (Double) params.get("RS_OUTRANB");
    }

    public Double rsOunotes() {
        return (Double) params.get("RS_OUNOTES");
    }

    public Double rsOunoteb() {
        return (Double) params.get("RS_OUNOTEB");
    }

    public Double rsOuchkss() {
        return (Double) params.get("RS_OUCHKSS");
    }

    public Double rsOuchksb() {
        return (Double) params.get("RS_OUCHKSB");
    }

    public java.util.Date rsOuefdate() {
        return (java.util.Date) params.get("RS_OUEFDATE");
    }

    public Double rsOuvips() {
        return (Double) params.get("RS_OUVIPS");
    }

    public Double rsOuvipb() {
        return (Double) params.get("RS_OUVIPB");
    } 

}
